var interval = 60000;
var godirect = 0;
var interval_str = "interval";
var godirect_str = "godirect";

function startWidget()
{
	if(window.widget)
	{
		var val = widget.preferenceForKey(interval_str);
		if(val != '' || val != undefined)
		{
			interval = val;
		}
		val = widget.preferenceForKey(godirect_str);
        if(val != '' || val != undefined)
        {
            godirect = val;
        }
 	}

	var obj = document.getElementById(interval_str);
	for(i = 0; i < obj.length; i++)
	{
		if(obj.options[i].value == interval)
		{	
			obj.selectedIndex = i;
			break;
		}	
	}

	if(godirect == 1)
		document.getElementById(godirect_str).checked = true;
		
	getAllBlogData();	
}

function saveAllBlog()
{
	var obj = document.getElementById(interval_str);

	if(obj.value)
	{
	 	if(window.widget)
		{
			interval = obj.options[obj.selectedIndex].value;
			widget.setPreferenceForKey(interval, interval_str);
			
			if(document.getElementById(godirect_str).checked == true)
				godirect = 1;
			else
				godirect = 0;
			widget.setPreferenceForKey(godirect, godirect_str);
			viewPanel(1);
			getAllBlogData();
		}
	}
}

function viewPanel(idx)
{
	if(idx == 0)
	{
		document.getElementById('content').style.display = 'none';
		document.getElementById('setup').style.display = 'block';
	}
	else
	{
		document.getElementById('content').style.display = 'block';
		document.getElementById('setup').style.display = 'none';
	}
}

function resultFromAllBlog(mm)
{
    var rss = mm.responseXML.getElementsByTagName("rss")[0];
    var channel = rss.getElementsByTagName("channel")[0];
    var items = channel.getElementsByTagName("item");

	alert(items.length);
	for(i = 0; i < items.length; i++)
	{
		var pos = i + 1;
		var item = items[i];
		var title = item.getElementsByTagName("title")[0].firstChild.nodeValue;
		var link = item.getElementsByTagName("link")[0].firstChild.nodeValue;
		var author = item.getElementsByTagName("author")[0].firstChild.nodeValue;

		if(godirect)
		{
			var nn = link.search("/http:");
			link = link.substr(nn+1);
		}
		
		var text = '<div class="box">' + pos + '</div>';
		text += '<div class="c-title"><a href=javascript:widget.openURL("'+link+'")>' + title + '</a></div>';
		text += '<div class="c-author">By '+author+'</div>';		

		document.getElementById('rank'+i).innerHTML = text;
	}
}

function getAllBlogData()
{
	var ob = new XMLHttpRequest();
   	var url = "http://rss.allblog.net/TodayBestPosts.xml";
    if(ob == null)
       	return;
	
	ob.open("GET", url, false); 
	ob.send("");
	if(ob.readyState == 4)
	{
		if(ob.status == 200)
		{
			resultFromAllBlog(ob);
		}
	}

	setTimeout("getAllBlogData()", interval);
}

